TYPEMAKER2(1)

NAME
typemaker2 - creates source and header files for the given XML file

SYNOPSIS

typemaker2 [global options] <command> [local options]

DESCRIPTION

This tool generates source and header files for simple data containers from XML files. It creates fromDb and toDb functions for structs and getters and setters for any member.

This makes it easier to maintain data containers with many members (as in AB_TRANSACTION).

A member you add to the XML file will immediately be loaded, saved, destroyed and copied with the rest of the struct upon request (e.g. _fromDb() will load all members from a GWEN_DB).

The current version creates a C file and headers for it.

It also creates appropriate API documentation if provided with the source XML file.

GLOBAL OPTIONS

-D PARAM, --api=PARAM
    API declaration prefix (like GWENHYWFAR_API)

--public=PARAM
    Name of the public header file to create

--library=PARAM
    Name of the library header file to create

--protected=PARAM
    Name of the protected header file to create

--private=PARAM
    Name of the private header file to create

--code=PARAM
    Name of the code file to create

--destfolder=PARAM
    Destination folder

--lang=PARAM
    Language for which to create the headers and code

-I PARAM, --include=PARAM
    Add folder to include for type lookup

-d, --defs-only
    Only write def files (*.tm2)

--no-defs
    Dont write def files (*.tm2)

-h, --help
    Show this help screen

COMMANDS

build
    This command creates source and header files for the given file

BUGS

No bugs known at the time of writing this manual page.

COPYING

Copyright (C) Martin Preuß. Free use of this software is granted under the terms of the GNU Lesser General Public License (LGPL).

The manpage was composed by Micha Lenk and converted by the nifty tool Asciidoctor into a manpage.

AUTHOR

Micha Lenk